'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRouter = require('react-router');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ModuleA = function ModuleA(location, callback) {
  require.ensure([], function (require) {
    var Module = require('./a');
    callback(null, Module.default || Module);
  });
};

var ModuleB = function ModuleB(location, callback) {
  require.ensure([], function (require) {
    var Module = require('./b');
    callback(null, Module.default || Module);
  });
};

var router = _react2.default.createElement(
  _reactRouter.Router,
  { history: _reactRouter.browserHistory },
  _react2.default.createElement(_reactRouter.Route, { path: '/a', getComponents: ModuleA }),
  _react2.default.createElement(_reactRouter.Route, { path: '/b', getComponents: ModuleB })
);

exports.default = router;