var ExtractTextPlugin = require('extract-text-webpack-plugin')
var extract = ExtractTextPlugin.extract.bind(ExtractTextPlugin)
module.exports = [
  {
    test: /\.(js|jsx)$/,
    exclude: /node_modules/,
    loader: 'babel'
  },
  {
    test: /\.json$/,
    loader: 'json'
  },
  {
    test: /\.scss$/,
    exclude: /node_modules/,
    // loader: 'style-loader!css-loader?modules!autoprefixer-loader!sass-loader'
    loader: extract('style-loader','css-loader?modules=&localIdentName=[local]--[hash:base64:5]!autoprefixer-loader!sass-loader')
  },
  {
    test: /\.css$/,
    loader: 'style-loader!css-loader!autoprefixer-loader'
  },
  {
    test: /\.png$/,
    loader: 'url?mimetype=image/png'
  }
]
